FROM python:3.7

LABEL maintainer="Dan Muckerman <danielmuckerman@me.com>"

WORKDIR /project
ADD . /project
RUN rm /project/.envrc
RUN rm -rf /project/env

RUN apt-get update && apt-get install -y python3-dev libldap2-dev libsasl2-dev libssl-dev

RUN pip install -r requirements.txt
CMD ["flask","run","--host=0.0.0.0"]